<?php
try {
    /* Konfiguracja serwera MySQL */
    $db_server = 'localhost';
    $db_name   = 'db_php8';
    $db_user   = 'db_php8';
    $db_passwd = 'WETFD8toJyKLWtXC'; // u Ciebie będzie z pewnością inne :)

    // otwórz połączenie z bazą danych MYSQL
    $db_pdo = new PDO(
        "mysql:host=$db_server;dbname=$db_name",
        $db_user,
        $db_passwd,
        [PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8"]
    );
    
    // włącz obsługę wyjątków dla obsługi interfejsu PDO
    $db_pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    /* pobierz informacje o wypożyczeniach */
    $result = $db_pdo->query("
        SELECT w.id, w.data, k.tytul, o.imie, o.nazwisko
        FROM wypozyczenia AS w, ksiazki AS k, osoby AS o
        WHERE
        w.ksiazka = k.id AND w.osoba = o.id
        ORDER BY w.id ASC;
    ");

    print "ID\tDATA\t\tTYTUŁ KSIĄŻKI\t\tWYPOŻYCZAJĄCY".PHP_EOL;

    foreach ($result as $r) {
        printf(
            "%s\t%s\t%s\t%s %s".PHP_EOL, 
            $r['id'], $r['data'], $r['tytul'], $r['imie'], $r['nazwisko']
        );
    }

    $db_pdo = null; // zamknij połączenie z bazą

} catch (PDOException $e) {
    print "Błąd!: " . $e->getMessage();
    die();
}